<?php

include("../conexion/conexion.php");

    $datos = json_decode(file_get_contents('php://input'), true);
    $temperatura=$datos["tempertura"];
    $humedad=$datos["humedad"];
    $frio=$datos["frio"];
    $fechatem=$datos["fechatem"];
    $jornada=$datos["jornada"];
    $realizado=$datos["realizado"];
    $bodega=$datos["bodega"];
    
    if($fechatem==""){
        $fechatem=date('Y-m-d H:i');
       
    }
    $conne=new conexion();
    $conectar=$conne->conectar();

    $fechaValidacion= date('Y-m-d',strtotime($fechatem));
    $sentenciaFecha="SELECT `id` FROM `temperatura` WHERE LEFT(fechat,10)='$fechaValidacion' and jornada='$jornada' and idbodega=$bodega";
    $ConsultarF=$conectar->query($sentenciaFecha);
if($file=mysqli_fetch_object($ConsultarF)){
    echo("la fecha ya exixte");
}else{

    $sentecia="INSERT INTO `temperatura`( `temperatura`, `humeda`, `cadena_frio`, `fechat`, `jornada`, `firma`,`idbodega`) VALUES ('$temperatura','$humedad','$frio','$fechatem','$jornada','$realizado',$bodega)";



    $guarda=$conectar->query($sentecia);
    
    if($guarda){
        
        echo("Registro Guardado");
    }else{
        echo($guarda);
    } 
    
}







?>